Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class AliasTargetProxyCommand

- org.codehaus.groovy.tools.shell.commands.AliasTargetProxyCommand

- All Implemented Interfaces and Traits:
    Command

      class AliasTargetProxyCommand
      extends CommandSupport

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<String>` | `args`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AliasTargetProxyCommand (Groovysh shell, String name, List args)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `execute(List<String> args)`
    `` | `String` | `getDescription()`
    `` | `String` | `getHelp()`
    `` | `String` | `getUsage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Property Detail

    - #### final List<String> args

  - ### Constructor Detail

    - #### AliasTargetProxyCommand(Groovysh shell, String name, List args)

  - ### Method Detail

    - #### @Override Object execute(List<String> args)

    - #### @Override String getDescription()

    - #### @Override String getHelp()

    - #### @Override String getUsage()